Information on source package gtk+2.0

Available versions

ReleaseVersion
buster2.24.32-3
bullseye2.24.33-2
bookworm2.24.33-2
sid2.24.33-2

Resolved issues

BugDescription
CVE-2015-7674Integer overflow in the pixops_scale_nearest function in pixops/pixops ...
CVE-2015-7673io-tga.c in gdk-pixbuf before 2.32.0 uses heap memory after its alloca ...
CVE-2015-4491Integer overflow in the make_filter_table function in pixops/pixops.c ...
CVE-2014-1949GTK+ 3.10.9 and earlier, as used in cinnamon-screensaver, gnome-screen ...
CVE-2013-7447Integer overflow in the gdk_cairo_set_source_pixbuf function in gdk/gd ...
CVE-2010-4833Untrusted search path vulnerability in modules/engines/ms-windows/xp_t ...
CVE-2010-4831Untrusted search path vulnerability in gdk/win32/gdkinput-win32.c in G ...
CVE-2010-0732CVE-2010-0732 gnome-screensaver: Race condition between shaking the un ...
CVE-2009-0848Untrusted search path vulnerability in GTK2 in OpenSUSE 11.0 and 11.1 ...
CVE-2007-0010CVE-2007-0010 security flaw ...
CVE-2005-3186Integer overflow in the GTK+ gdk-pixbuf XPM image rendering library in ...
CVE-2005-2976CVE-2005-2976 security flaw ...
CVE-2005-2975CVE-2005-2975 security flaw ...
CVE-2005-0891CVE-2005-0891 security flaw ...
CVE-2004-0788Integer overflow in the ICO image decoder for (1) gdk-pixbuf before 0. ...
CVE-2004-0783Stack-based buffer overflow in xpm_extract_color (io-xpm.c) in the XPM ...
CVE-2004-0782Integer overflow in pixbuf_create_from_xpm (io-xpm.c) in the XPM image ...

Security announcements

DSA / DLADescription
DLA-434-1gtk+2.0 - security update
DLA-419-1gtk+2.0 - security update
DSA-1256-1gtk+2.0
DSA-911-1gtk+2.0 - several
DSA-549-1gtk+2.0 - multiple holes

Search for package or bug name: Reporting problems